al_color_xyy(3)

NAME

al_color_xyy - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_xyy(float x, float y, float y2)

DESCRIPTION

Return an ALLEGRO_COLOR(3) structure from xyY values. The Y component in the xyY color space is the same as the Y in XYZ.

However the x and y values are computed from XYZ like this:

    x = X / (X + Y + Z)
    y = Y / (X + Y + Z)

SINCE

5.2.3

SEE ALSO

al_color_xyy_to_rgb(3), al_color_rgb_to_xyy(3)